<template>
  <!-- 框 -->
  <div class="win">
    <!-- 四个角的边框效果 -->
    <div class="border_corner border_corner_left_top"></div>
    <div class="border_corner border_corner_right_top"></div>
    <div class="border_corner border_corner_left_bottom"></div>
    <div class="border_corner border_corner_right_bottom"></div>
    <div class="main">
      <div class="main-matter">
        <div v-if="value === 'feiqi'">
          <ul>
            <li>监测点名称:{{ setWasteGasdata.Name }}</li>
            <li>生产单位:{{ setWasteGasdata.porltName }}</li>
            <li>排放类型名称:{{ setWasteGasdata.MonTypeName }}</li>
            <li>排放去向:{{ setWasteGasdata.EmissDirecti }}</li>
            <li>控制级别名称:{{ setWasteGasdata.ContrLevelShowName }}</li>
            <li>内/外排口:{{ setWasteGasdata.OrOutPortName }}</li>
          </ul>
        </div>
        <div v-else-if="value === 'gufei'">
          <ul>
            <li>场所名称:{{ tabData.StoragePlaceName }}</li>
            <li>贮存能力:{{ tabData.StorageQty }}(吨)</li>
            <li>剩余贮存能力:{{ tabData.SurplusFloorArea }}(吨)</li>
            <li>占地面积(㎡):{{ tabData.DesignFloorArea }}(㎡)</li>
            <li>最近贮存日期:{{ tabData.StorageDate }}</li>
            <li></li>
          </ul>
        </div>
        <div v-else-if="value === 'feishui'">
          <ul>
            <li>监测点名称:{{ setWasteWaterdata.Name }}</li>
            <li>生产单位:{{ setWasteWaterdata.porltName }}</li>
            <li>排放类型名称:{{ setWasteWaterdata.MonTypeName }}</li>
            <li>排放去向:{{ setWasteWaterdata.EmissDirecti }}</li>
            <li>控制级别名称:{{ setWasteWaterdata.ContrLevelShowName }}</li>
            <li>内/外排口:{{ setWasteWaterdata.OrOutPortName }}</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'GasTable',
  props: ['displayContentTab', 'value', 'setWasteGasdata', 'setWasteWaterdata'],
  data () {
    return {
      tabData: []
    }
  },
  mounted () {
    this.processingData()
  },
  methods: {
    processingData () {
      for (var i = 0; i < this.displayContentTab.length; i++) {
        console.log(this.displayContentTab[i])
        this.tabData = this.displayContentTab[i]
      }
    }
  }
}
</script>

<style scoped lang="less">

.win {
  position: relative;
  margin-bottom: 10px;
  background-color: rgba(33, 41, 69, 0.9);
  //width: 6rem;
  //height: 0.5rem;
}

.main {
  //width: 100%;
  //height: 100%;

  .main-matter {
    font-size: 13px;
    font-weight: normal;
    padding: 6px;
    border: 1px solid #396d83;
    ul {
      //width: 100%;
      //height: 100%;
      display: flex;
      align-items: center;
      justify-content: space-around;
      flex-wrap: wrap;
      margin-bottom: -6px;
      li {
        margin-bottom: 6px;
        text-align: center;
        min-width: 32%;
        background-color: #243a55;
        color: #00d0f9;
        border-radius: 3px;
        font-size: 0.08rem;
      }

      li:last-child {
        visibility: hidden
      }
    }
  }
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 10px;
  height: 10px;
  background: rgba(0, 0, 0, 0);
  border: 1px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}
</style>
